require "game"

c_white = {255, 255, 255, 255}
c_black = {0, 0, 0, 255}
c_red = {255, 0, 0, 255}
c_blue = {0, 0, 255, 255}

global_os = love.system.getOS()
os_model = "pc"
if global_os == "3ds" then
	os_model = love.system.getModel()
else
	love.window.setMode(400, 480)
	--require "lume"
	--lurker = require "lurker"
end

function drawTopScreen()
	if global_os == "3ds" then
		love.graphics.setScreen("top")
	end
end

function drawBottomScreen()
	if global_os ~= "3ds" then
		love.graphics.push()
		love.graphics.translate((400 - 320) / 2, 240)
	else
		love.graphics.setScreen("bottom")
	end
end

function drawBottomScreenEnd()
	if global_os ~= "3ds" then
		love.graphics.pop()
	else
		love.graphics.setScreen("top")
	end
end

function love.load()
	timer = 0
	math.randomseed(os.time())
end

function love.update(dt)
	if os_model == "pc" then
		--require("lurker").update()
	end
	
	updateGame(dt)
end

function love.draw()
	drawGame()
end